(function () {
  'use strict';

  angular
      .module('myapp.hellowidget')
      .config(configure);

  /* @ngInject */
  function configure(
      c8yComponentsProvider,
      gettext
  ) {
      c8yComponentsProvider.add({
          name: 'hellowidget',
          nameDisplay: gettext('HelloWidget'),
          description: gettext('HelloWidget'),
          templateUrl: ':::PLUGIN_PATH:::/views/hellowidget.main.html',
          configTemplateUrl: ':::PLUGIN_PATH:::/views/hellowidget.setting.html',
          options: {
              groupsSelectable: true,  // 加える
              noDeviceTarget: false  // falseにするか削除する
          }
      });
  }
}());